VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "Mscomctl.ocx"
Begin VB.Form frm_Replace 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Replace"
   ClientHeight    =   2400
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4590
   Icon            =   "Replace.frx":0000
   LinkTopic       =   "Form2"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2400
   ScaleWidth      =   4590
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin MSComctlLib.StatusBar stb_Status 
      Align           =   2  'Align Bottom
      Height          =   252
      Left            =   0
      TabIndex        =   10
      Top             =   2148
      Width           =   4584
      _ExtentX        =   8096
      _ExtentY        =   450
      Style           =   1
      _Version        =   393216
      BeginProperty Panels {8E3867A5-8586-11D1-B16A-00C0F0283628} 
         NumPanels       =   1
         BeginProperty Panel1 {8E3867AB-8586-11D1-B16A-00C0F0283628} 
            AutoSize        =   1
            Object.Width           =   8043
         EndProperty
      EndProperty
   End
   Begin VB.TextBox txt_Replace 
      Height          =   285
      Left            =   840
      TabIndex        =   2
      Top             =   600
      Width           =   2415
   End
   Begin VB.CommandButton cmd_Replace 
      Caption         =   "&Replace"
      Height          =   375
      Left            =   3480
      TabIndex        =   6
      Top             =   600
      Width           =   975
   End
   Begin VB.CheckBox chk_MatchCase 
      Caption         =   "Match &case"
      Height          =   255
      Left            =   120
      TabIndex        =   4
      Top             =   1680
      Width           =   2775
   End
   Begin VB.CheckBox chk_WholeWord 
      Caption         =   "Match &whole word only"
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   1080
      Width           =   2775
   End
   Begin VB.CommandButton cmd_Cancel 
      Cancel          =   -1  'True
      Caption         =   "&Cancel"
      Height          =   375
      Left            =   3480
      TabIndex        =   8
      Top             =   1560
      Width           =   975
   End
   Begin VB.CommandButton cmd_ReplaceAll 
      Caption         =   "Replace &All"
      Height          =   375
      Left            =   3480
      TabIndex        =   7
      Top             =   1080
      Width           =   975
   End
   Begin VB.CommandButton cmd_Find 
      Caption         =   "&Find Next"
      Height          =   375
      Left            =   3480
      TabIndex        =   5
      Top             =   120
      Width           =   975
   End
   Begin VB.TextBox txt_Find 
      Height          =   285
      Left            =   840
      TabIndex        =   1
      Top             =   120
      Width           =   2415
   End
   Begin VB.Label lbl_Replace 
      Alignment       =   2  'Center
      Caption         =   "Replace:"
      Height          =   255
      Left            =   0
      TabIndex        =   9
      Top             =   600
      Width           =   735
   End
   Begin VB.Label lbl_Find 
      Alignment       =   2  'Center
      Caption         =   "Find:"
      Height          =   255
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   735
   End
End
Attribute VB_Name = "frm_Replace"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'/*
'WordBastard - rich text editor
'frm_Replace.frm- UI for 'replace' dialog
'Copyright  (C) 1998-2000 Hugues Johnson
'
'This program is free software; you can redistribute it and/or
'modify it under the terms of the GNU General Public License
'as published by the Free Software Foundation; either version 2
'of the License, or (at your option) any later version.
'
'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
'the GNU General Public License for more details.
'
'You should have received a copy of the GNU General Public License
'along with this program; if not, write to the Free Software
'Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
'*/

Private Sub chk_MatchCase_GotFocus()

    stb_Status.SimpleText = LoadResString(IDS_TOGGLE_CASE)

End Sub


Private Sub chk_MatchCase_LostFocus()

    stb_Status.SimpleText = vbNullString

End Sub


Private Sub chk_WholeWord_GotFocus()

    stb_Status.SimpleText = LoadResString(IDS_MATCH_WHOLE_WORD)

End Sub


Private Sub chk_WholeWord_LostFocus()

    stb_Status.SimpleText = vbNullString

End Sub


Private Sub cmd_Cancel_Click()

    Unload Me

End Sub


Private Sub cmd_Cancel_GotFocus()

    stb_Status.SimpleText = LoadResString(IDS_CLOSE_WINDOW)

End Sub

Private Sub cmd_Cancel_LostFocus()

    stb_Status.SimpleText = vbNullString

End Sub

Private Sub cmd_Find_Click()
    Dim lOptions As Long
    
    lOptions = rtfNoHighlight
    
    If (chk_MatchCase.Value = vbChecked) Then
        lOptions = lOptions Or rtfMatchCase
    End If

    If (chk_WholeWord.Value = vbChecked) Then
        lOptions = lOptions Or rtfWholeWord
    End If
    
    FindNext frm_Main.rtf_File, txt_Find.Text, lOptions
 
End Sub


Private Sub cmd_Find_GotFocus()

    stb_Status.SimpleText = LoadResString(IDS_FIND_NEXT)

End Sub


Private Sub cmd_Find_LostFocus()

    stb_Status.SimpleText = vbNullString

End Sub


Private Sub cmd_Replace_Click()

    If (Len(Trim$(frm_Main.rtf_File.SelText)) = 0) Then
        cmd_Find_Click
    Else
        ReplaceText frm_Main.rtf_File, txt_Find.Text, txt_Replace.Text
    End If
    
End Sub


Private Sub cmd_Replace_GotFocus()

    stb_Status.SimpleText = LoadResString(IDS_REPLACE)

End Sub


Private Sub cmd_Replace_LostFocus()

    stb_Status.SimpleText = vbNullString

End Sub


Private Sub cmd_ReplaceAll_Click()
    Dim iResult As Integer
    Dim lOptions As Long
    
    If (txt_Find.Text = "") Then
        MsgBox "Please enter text to find.", vbOKOnly + vbExclamation, "WordBastard"
        Exit Sub
    End If
    
    lOptions = rtfNoHighlight
    
    If (chk_MatchCase.Value = vbChecked) Then
        lOptions = lOptions Or rtfMatchCase
    End If

    If (chk_WholeWord.Value = vbChecked) Then
        lOptions = lOptions Or rtfWholeWord
    End If

    iResult = ReplaceAll(frm_Main.rtf_File, txt_Find.Text, txt_Replace.Text, lOptions)
    
    If (iResult = 0) Then
        MsgBox "Search string was not found.", vbOKOnly + vbExclamation, "WordBastard"
    End If

End Sub


Private Sub cmd_ReplaceAll_GotFocus()

    stb_Status.SimpleText = LoadResString(IDS_REPLACE_ALL)

End Sub


Private Sub cmd_ReplaceAll_LostFocus()

    stb_Status.SimpleText = vbNullString

End Sub


Private Sub txt_Find_GotFocus()

    stb_Status.SimpleText = LoadResString(IDS_ENTER_SEARCH)

End Sub


Private Sub txt_Find_LostFocus()

    stb_Status.SimpleText = vbNullString

End Sub


Private Sub txt_Replace_GotFocus()

    stb_Status.SimpleText = LoadResString(IDS_ENTER_REPLACE)

End Sub


Private Sub txt_Replace_LostFocus()

    stb_Status.SimpleText = vbNullString

End Sub


