Attribute VB_Name = "DateTime"
'/*
'WordBastard - rich text editor
'DateTime.bas - create date/time list
'Copyright  (C) 1998-2000 Hugues Johnson
'
'This program is free software; you can redistribute it and/or
'modify it under the terms of the GNU General Public License
'as published by the Free Software Foundation; either version 2
'of the License, or (at your option) any later version.
'
'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
'the GNU General Public License for more details.
'
'You should have received a copy of the GNU General Public License
'along with this program; if not, write to the Free Software
'Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
'*/

Public Sub CreateDateTimeList(lst_Formats As Control)

    On Error GoTo errCreateDateTimeList

    If (TypeOf lst_Formats Is ListBox) Then
        lst_Formats.Clear

        With lst_Formats
            .AddItem Date, 0
            .AddItem (Format$(Date, "Long Date")), 1
            .AddItem (Format$(Date, "dddd,mmm d yyyy")), 2
            .AddItem (Format$(Time, "H:M:S AMPM")), 3
            .AddItem (Format$(Time, "H:M AMPM")), 4
            .AddItem (Format$(Time, "H:M:S")), 5
            .AddItem (Format$(Time, "H:M")), 6
            .AddItem Date & " " & (Format$(Time, "H:M:S AMPM")), 7
            .AddItem Date & " " & (Format$(Time, "H:M AMPM")), 8
            .AddItem Date & " " & (Format$(Time, "H:M:S")), 9
            .AddItem Date & " " & (Format$(Time, "H:M")), 10
            .AddItem (Format$(Date, "Long Date")) & " " & (Format(Time, "H:M:S AMPM")), 11
            .AddItem (Format$(Date, "Long Date")) & " " & (Format(Time, "H:M AMPM")), 12
            .AddItem (Format$(Date, "Long Date")) & " " & (Format(Time, "H:M:S")), 13
            .AddItem (Format$(Date, "Long Date")) & " " & (Format(Time, "H:M")), 14
            .AddItem (Format$(Date, "dddd,mmm d yyyy")) & " " & (Format(Time, "H:M:S AMPM")), 15
            .AddItem (Format$(Date, "dddd,mmm d yyyy")) & " " & (Format(Time, "H:M AMPM")), 16
            .AddItem (Format$(Date, "dddd,mmm d yyyy")) & " " & (Format(Time, "H:M:S")), 17
            .AddItem (Format$(Date, "dddd,mmm d yyyy")) & " " & (Format(Time, "H:M")), 18
        End With

    End If

exitCreateDateTimeList:
    Exit Sub

errCreateDateTimeList:
    ErrorHandler Err, "CreateDateTimeList"
    Resume exitCreateDateTimeList
    
End Sub

Public Sub InsertDateTime(DateTime As String, rtf As Control)

    On Error GoTo errInsertDateTime
    
    If ((TypeOf rtf Is RichTextBox) Or (TypeOf rtf Is TextBox)) Then
        rtf.SelText = DateTime
    End If
    
exitSub:
    Exit Sub

errInsertDateTime:
    ErrorHandler Err, "InsertDateTime", "DateTime=" & DateTime
    Resume exitSub
    
End Sub
