Attribute VB_Name = "Mail"
'/*
'WordBastard - rich text editor
'Mail.bas - email routines
'Copyright  (C) 1998-2000 Hugues Johnson
'
'This program is free software; you can redistribute it and/or
'modify it under the terms of the GNU General Public License
'as published by the Free Software Foundation; either version 2
'of the License, or (at your option) any later version.
'
'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
'the GNU General Public License for more details.
'
'You should have received a copy of the GNU General Public License
'along with this program; if not, write to the Free Software
'Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
'*/

Public Sub FindCompatibleMailers(cbo_SendUsing As Control)
    Dim oTestApp As Object
    Dim iCount As Integer
    
    On Error Resume Next
       
    If (TypeOf cbo_SendUsing Is ComboBox) Then
        iCount = 0
        With cbo_SendUsing
            .AddItem "<Default Mailer>", iCount
            Set oTestApp = CreateObject("Outlook.Application")
            If (Err.Number = 429) Then
                Err = 0
            Else
                iCount = iCount + 1
                .AddItem "Microsoft Outlook", iCount
            End If
            .ListIndex = iCount
        End With
    End If
    
End Sub

Public Sub SendMail(rtf As Control, sMailer As String, sTo As String, sCC As String, sSubject As String, iImportance As Integer)
    Dim oApp As Object
    Dim oItem As Object
    
    Select Case sMailer
        Case "Microsoft Outlook":
            Set oApp = CreateObject("Outlook.Application")
            Set oItem = oApp.CreateItem(0)
            With oItem
                .Subject = sSubject
                .To = sTo
                .Importance = iImportance
                If ((TypeOf rtf Is RichTextBox) Or (TypeOf rtf Is TextBox)) Then
                    .Body = rtf.Text
                End If
                .Send
            End With
        Case "<Default Mailer>":
            Dim ShellCommand As String
            ShellCommand = "start.exe mailto:" & sTo
            Shell ShellCommand, 0
    End Select

End Sub


