VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "Mscomctl.ocx"
Begin VB.Form frm_Paragraph 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Paragraph"
   ClientHeight    =   3765
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   2325
   Icon            =   "Paragraph.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3765
   ScaleWidth      =   2325
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin MSComctlLib.StatusBar stb_Status 
      Align           =   2  'Align Bottom
      Height          =   252
      Left            =   0
      TabIndex        =   12
      Top             =   3504
      Width           =   2328
      _ExtentX        =   4101
      _ExtentY        =   423
      Style           =   1
      _Version        =   393216
      BeginProperty Panels {8E3867A5-8586-11D1-B16A-00C0F0283628} 
         NumPanels       =   1
         BeginProperty Panel1 {8E3867AB-8586-11D1-B16A-00C0F0283628} 
            AutoSize        =   1
            Object.Width           =   4048
         EndProperty
      EndProperty
   End
   Begin VB.CommandButton cmd_RestoreDefaults 
      Caption         =   "&Restore Defaults"
      Height          =   375
      Left            =   360
      TabIndex        =   11
      Top             =   3000
      Width           =   1575
   End
   Begin VB.TextBox txt_Indentation 
      Height          =   315
      Left            =   1200
      TabIndex        =   3
      Top             =   1080
      Width           =   975
   End
   Begin VB.TextBox txt_Right 
      Height          =   315
      Left            =   1200
      TabIndex        =   2
      Top             =   600
      Width           =   975
   End
   Begin VB.TextBox txt_Left 
      Height          =   315
      Left            =   1200
      TabIndex        =   1
      Top             =   120
      Width           =   975
   End
   Begin VB.CheckBox chk_Bullet 
      Caption         =   "&Bullets"
      Height          =   315
      Left            =   120
      TabIndex        =   5
      Top             =   2040
      Width           =   2055
   End
   Begin VB.CommandButton cmd_Cancel 
      Caption         =   "&Cancel"
      Height          =   375
      Left            =   1200
      TabIndex        =   7
      Top             =   2520
      Width           =   735
   End
   Begin VB.CommandButton cmd_OK 
      Caption         =   "&OK"
      Height          =   375
      Left            =   360
      TabIndex        =   6
      Top             =   2520
      Width           =   735
   End
   Begin VB.ComboBox cbo_Alignment 
      Height          =   315
      Left            =   1200
      Style           =   2  'Dropdown List
      TabIndex        =   4
      Top             =   1560
      Width           =   975
   End
   Begin VB.Label lbl_Indentation 
      Caption         =   "Indentation:"
      Height          =   315
      Left            =   120
      TabIndex        =   10
      Top             =   1080
      Width           =   975
   End
   Begin VB.Label lbl_Right 
      Caption         =   "Right Margin:"
      Height          =   315
      Left            =   120
      TabIndex        =   9
      Top             =   600
      Width           =   975
   End
   Begin VB.Label lbl_Left 
      Caption         =   "Left Margin:"
      Height          =   315
      Left            =   120
      TabIndex        =   8
      Top             =   120
      Width           =   975
   End
   Begin VB.Label lbl_Alignment 
      Caption         =   "Alignment:"
      Height          =   315
      Left            =   120
      TabIndex        =   0
      Top             =   1560
      Width           =   975
   End
End
Attribute VB_Name = "frm_Paragraph"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'/*
'WordBastard - rich text editor
'frm_Paragraph.frm- UI for 'paragraph settings' dialog
'Copyright  (C) 1998-2000 Hugues Johnson
'
'This program is free software; you can redistribute it and/or
'modify it under the terms of the GNU General Public License
'as published by the Free Software Foundation; either version 2
'of the License, or (at your option) any later version.
'
'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
'the GNU General Public License for more details.
'
'You should have received a copy of the GNU General Public License
'along with this program; if not, write to the Free Software
'Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
'*/

Private Sub cbo_Alignment_GotFocus()

    stb_Status.SimpleText = LoadResString(IDS_SELECT_ALIGN)

End Sub


Private Sub cbo_Alignment_LostFocus()

    stb_Status.SimpleText = vbNullString

End Sub


Private Sub chk_Bullet_GotFocus()

    stb_Status.SimpleText = LoadResString(IDS_TOGGLE_BULLETS)

End Sub


Private Sub chk_Bullet_LostFocus()

    stb_Status.SimpleText = vbNullString

End Sub


Private Sub cmd_Cancel_Click()

    Unload Me

End Sub


Private Sub cmd_Cancel_GotFocus()

    stb_Status.SimpleText = LoadResString(IDS_CLOSE_WINDOW)

End Sub


Private Sub cmd_Cancel_LostFocus()

    stb_Status.SimpleText = vbNullString

End Sub


Private Sub cmd_OK_Click()
    
    With txt_Right
        .Text = Trim$(.Text)
        If (Left$(.Text, 1) = """") Then
            .Text = Right$(.Text, (Len(.Text) - 1))
        End If
    End With
    
    With txt_Left
        .Text = Trim$(.Text)
        If (Left$(.Text, 1) = """") Then
            .Text = Right$(.Text, (Len(.Text) - 1))
        End If
    End With
    
    With txt_Indentation
        .Text = Trim$(.Text)
        If (Left$(.Text, 1) = """") Then
            .Text = Right$(.Text, (Len(.Text) - 1))
        End If
    End With
    
    ChangeParagraphProperties frm_Main.rtf_File, cbo_Alignment.ListIndex, Int(Val(txt_Left.Text)), Int(Val(txt_Right.Text)), Int(Val(txt_Indentation.Text)), chk_Bullet.Value
    
    Unload Me

End Sub


Private Sub cmd_OK_GotFocus()

    stb_Status.SimpleText = LoadResString(IDS_CLOSE_WINDOW)

End Sub


Private Sub cmd_OK_LostFocus()

    stb_Status.Panels(1).Text = vbNullString

End Sub


Private Sub cmd_RestoreDefaults_Click()

    'These settings are 100% arbitrary - probably should store them in the WordBastard.ini file someday
    txt_Left.Text = "0"""
    txt_Right.Text = "20"""
    txt_Indentation.Text = "0"""
    chk_Bullet.Value = 0
    cbo_Alignment.ListIndex = rtfLeft

End Sub


Private Sub cmd_RestoreDefaults_GotFocus()

    stb_Status.SimpleText = LoadResString(IDS_RESTORE_DEFAULTS)

End Sub


Private Sub cmd_RestoreDefaults_LostFocus()

    stb_Status.SimpleText = vbNullString

End Sub


Private Sub Form_Load()

    With cbo_Alignment
        .AddItem "Left", rtfLeft
        .AddItem "Right", rtfRight
        .AddItem "Center", rtfCenter
        .ListIndex = frm_Main.rtf_File.SelAlignment
    End With
    
    txt_Left.Text = Trim$(Str$(frm_Main.rtf_File.SelIndent)) & """"
    txt_Right.Text = Trim$(Str$(frm_Main.rtf_File.Width - frm_Main.rtf_File.RightMargin)) & """"
    txt_Indentation = Trim$(Str$(frm_Main.rtf_File.SelHangingIndent)) & """"

    If (frm_Main.rtf_File.SelBullet = True) Then
        chk_Bullet.Value = 1
    Else
        chk_Bullet.Value = 0
    End If

End Sub


Private Sub txt_Indentation_GotFocus()

    stb_Status.SimpleText = LoadResString(IDS_PARAGRAPH_INDENT)

End Sub


Private Sub txt_Indentation_LostFocus()

    stb_Status.SimpleText = vbNullString

End Sub


Private Sub txt_Left_GotFocus()

    stb_Status.SimpleText = LoadResString(IDS_LEFT_MARGIN)

End Sub


Private Sub txt_Left_LostFocus()

    stb_Status.SimpleText = vbNullString

End Sub


Private Sub txt_Right_GotFocus()

    stb_Status.SimpleText = LoadResString(IDS_RIGHT_MARGIN)

End Sub


Private Sub txt_Right_LostFocus()

    stb_Status.SimpleText = vbNullString

End Sub


